package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.data.domain.Pageable;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Forme;
import com.realnet.basicp1.Services.FormeService ;








@RequestMapping(value = "/Forme")
 @CrossOrigin("*") 
@RestController
public class FormeController {
	@Autowired
	private FormeService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Forme")
		  public Forme Savedata(@RequestBody Forme data) {
		Forme save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Forme/{id}")
	public  Forme update(@RequestBody Forme data,@PathVariable Integer id ) {
		Forme update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Forme/getall/page")
	public Page<Forme> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Forme> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Forme")
	public List<Forme> getdetails() {
		 List<Forme> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Forme")
	public List<Forme> getallwioutsec() {
		 List<Forme> get = Service.getdetails();		
		return get;
}
@GetMapping("/Forme/{id}")
	public  Forme  getdetailsbyId(@PathVariable Integer id ) {
		Forme  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Forme/{id}")
	public  void delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
		
	}









}